### Virtual Method

# Gio Action change_state

since: 2.30

#### Declaration

    void
    change_state (
      GAction* action,
      GVariant* value
    )

#### Description

Request for the state of `action` to be changed to `value`.

The action must be stateful and `value` must be of the correct type. See g_action_get_state_type().

This call merely requests a change. The action may refuse to change its state or may change its state to something other than `value`. See g_action_get_state_hint().

If the `value` GVariant is floating, it is consumed.

Available since: 2.30

#### Parameters

`value`

  Type: `GVariant`

  The new state.

  The data is owned by the caller of the method.